// This code example is created for educational purpose
// by Thorsten Thormaehlen (contact: www.thormae.de).
// It is distributed without any warranty.

package de.unimarburg.mytoucheventapp;

import android.app.Activity;
import android.os.Bundle;
import android.widget.TextView;
import android.view.GestureDetector;
import android.view.MotionEvent;

public class MyTouchEvent extends Activity {

  private GestureDetector gestDetector;
  private TextView tv;

  @Override
  public void onCreate(Bundle savedInstanceState) {
    super.onCreate(savedInstanceState);
    tv = new TextView(this);
    tv.setText("Position: 0, 0");
    setContentView(tv);
    MyGestureListener gl = new MyGestureListener();
    gestDetector = new GestureDetector(this, gl);
  }

  @Override
  public boolean onTouchEvent(MotionEvent e) {
    this.gestDetector.onTouchEvent(e);
    return super.onTouchEvent(e);
  }

  class MyGestureListener extends GestureDetector.SimpleOnGestureListener {

    @Override
    public boolean onDown(MotionEvent e) {
      tv.setText("onFDown; Position=" + Float.toString(e.getX()) + ", "
          + Float.toString(e.getY()));
      return true;
    }

    @Override
    public void onLongPress(MotionEvent e) {
      tv.setText("onLongPress; Position=" + Float.toString(e.getX()) + ", "
          + Float.toString(e.getY()));
    }

    @Override
    public boolean onFling(MotionEvent e1, MotionEvent e2, float velocityX,
        float velocityY) {
      tv.setText("onFling: from=" + Float.toString(e1.getX()) + ", "
          + Float.toString(e1.getY()) + " to=" + Float.toString(e2.getX())
          + ", " + Float.toString(e2.getY()));
      return true;
    }
  }
}
